                      Computer Science 825
                         Quiz B           Name _______________________

1. Explain whether each of the following congestion control techniques
   is applicable to virtual circuit or datagram based or both types of
   network layers:

   a. Packet discarding:




   b. Preallocation of buffers:




   c. Choke packets:




2. Identify two significant disadvantages of the use of the "Isarithmic"
   congestion control technique.

   1 -



   2 -



3. Irland's rule placed a bound on the number of buffers that could be
   allocated to an outbound link in an Imp with N links and M buffers.

   a. What was the bound?



   b. Was it an upper bound or a lower bound.



4. Identify the layer associated with each of the following internetworking
   techniques. Use the terminology of the text.

   a. Protocol converter.


   b. Repeater


   c. Bridge


   d. Gateway


5. How many NETWORKS of each of the following type are supported
   in the Internet protocol.

   Class B -

   Class C -




